#
# CONFIG.MAKE - Configuration file for make process.
#
# Copyright (C) 1994,1995,1996,1997,1998,1999  Riccardo Facchetti
#
#
# Compilation flags:
#
# -DMDM_CHECK_DEVICES   to force a strict check on major/minor
#                       modem device number and make sure we are using
#                       a callout device (works only with ttyS/cua devices).
# DEFINES += -DMDM_CHECK_DEVICES

# -DLOGFILE=\"...\"	libmodem log file: it contain useful informations.
#			If you do not define this, no logging is performed.
#			
DEFINES += -DLOGFILE=\"/var/adm/libmodem.log\"

# -DDEBUG		meaningful only if LOGFILE is defined: verbose log.
DEFINES += -DDEBUG

#
# Makefile and Installation controlling flags and parameters:
#
# WITHSHARED		Uncomment following line if you want to build shared
#			library (Linux only).
WITHSHARED = 1

# LOCK_PATH=...		Define this as the lock directory of your machine.
#			Be warned: this must be the common lock directory
#			for LCK..tty?? modem lock files.
LOCK_PATH = /var/lock/

# C compiler flags
CCFLAGS = -Wall -I.

# C compiler debug flags
DEBUG = -g

# linker flags
LLDFLAGS =

# linker debug flags
LDDEBUG = -g

# programs
CC = gcc
LD = gcc
AR = ar rcs
RM = rm -f
MV = mv
LDCONFIG = ldconfig
RANLIB = ranlib
INSTALL = install
LN = ln

# directories

# For shared library
LIBDIR = /lib

# For static library
USRLIBDIR = /usr/lib

MANDIR = /usr/man
INCDIR = /usr/include/dial
MANEXT = 2
